Subject: Re: MPLS tunneled in IP

From: Eric Rosen <[email-masked]>
Date: Wed, 26 Sep 2001 15:54:15 -0400

Brijesh> Till now, we only have MPLS over  IP and MPLS over GRE drafts - but
Brijesh> wait  till more  drafts appear  extolling the  virtues and  need of
Brijesh> remaining possibilities-  MPLS over L2TP, MPLS over  PPP, MPLS over
Brijesh> IPSEC etc... ;-).

You're certainly out of touch ;-)

For MPLS over PPP, see section 4 of RFC 3032. 

For MPLS over IPsec, see draft-ietf-ppvpn-ipsec-2547-00.txt. 

Brijesh> As a matter of fact, such tunneling is adding unwanted layering as,
Brijesh> in  most  cases, you  would  be  better  off using  the  underlying
Brijesh> tunneling mechanism minus MPLS shim header.

Right, if  you don't  have an  MPLS capable backbone,  don't try  to support
MPLS-based services by  carrying MPLS in IP; instead just  omit the shim and
use IP's  underlying tunneling mechanisms  instead.  It's obvious how  to do
that, and after all it's just a small matter of programming ;-)